summaryrefslogtreecommitdiffstats
path: root/audio/calf-ladspa/calf-ladspa.SlackBuild
diff options
context:
space:
mode:
author B. Watson2015-11-12 19:56:10 +0100
committer Willy Sudiarto Raharjo2015-11-12 19:56:10 +0100
commitb66b9c45fbba1bd9aae480bd36b8f71aa6f38e6f (patch)
tree93149d33deb49e9afae06889a05e73c133dfdad0 /audio/calf-ladspa/calf-ladspa.SlackBuild
parentabeae21be1575e5aea6b14fd87a84b50ea6dd519 (diff)
downloadslackbuilds-b66b9c45fbba1bd9aae480bd36b8f71aa6f38e6f.tar.gz
audio/calf-ladspa: Added (legacy audio plugin pack).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio/calf-ladspa/calf-ladspa.SlackBuild')
-rw-r--r--audio/calf-ladspa/calf-ladspa.SlackBuild132
1 files changed, 132 insertions, 0 deletions
diff --git a/audio/calf-ladspa/calf-ladspa.SlackBuild b/audio/calf-ladspa/calf-ladspa.SlackBuild
new file mode 100644
index 0000000000..bd3e0d7647
--- /dev/null
+++ b/audio/calf-ladspa/calf-ladspa.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/sh
+
+# Slackware build script for calf-ladspa
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# 20151105 bkw:
+# - Renamed to calf-ladspa. The main calf build is now for calf-0.0.60,
+# which lacks LADSPA support. Removed LV2 and standalone support, use
+# calf for that instead. Removed DSSI support, because I don't
+# think anyone's using it, and because it's non-trivial to install
+# the gui support files anywhere other than /usr/share/calf, which
+# would step on the main calf package.
+
+# 20141030 bkw:
+# Finally getting around to submitting this, there have been no code
+# changes upstream since 20140308.
+
+# 20140308 bkw:
+# - Switched to falkTX's KXStudio fork of CALF. falkTX doesn't do release
+# tarballs, so this is a git checkout from 20140308.
+# - Added capability stuff.
+
+PRGNAM=calf-ladspa
+VERSION=${VERSION:-0.0.19kx}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# 20151106 bkw: --enable-experimental only enables the fluidsynth
+# module, which doesn't work as LADSPA (needs to be DSSI or LV2), so
+# leave it disabled here.
+EXPOPT=disable
+
+# Unfortunately there's no way to disable building calfjackhost and
+# installing it and its support files. We'll disable what we can,
+# and go ahead & build calfjackhost and rm -rf it after install.
+LADSPA_OPT="--with-ladspa-dir=/usr/lib${LIBDIRSUFFIX}/ladspa"
+DSSI_OPT="--without-dssi"
+LV2_OPT="--without-lv2"
+
+set -e
+
+SRCNAM=calf
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -if
+
+# Note: The build ignores the provided -O2 in the flags (but the
+# -march/-mtune -fPIC stuff is used). If you really want to force
+# it to use -O2 (Slackware default), set FORCE_SLACK_CFLAGS=yes
+# in the environment.
+if [ "${FORCE_SLACK_CFLAGS:-no}" = "yes" ]; then
+ sed -i -e 's/ -O3[^"]*//' configure
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --${EXPOPT}-experimental \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ $LADSPA_OPT \
+ $DSSI_OPT \
+ $LV2_OPT \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG docdir=/usr/doc/$PRGNAM-$VERSION
+
+# install-strip is supported, but doesn't work:
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# This build is only for the ladspa plugins, so none of this
+# other stuff should be in the package:
+rm -rf $PKG/usr/share $PKG/usr/bin $PKG/usr/man $PKG/usr/lib64/calf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}